Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Interface DEREncodable

All Known Implementing Classes:
  ASN1Encodable, AttCertIssuer, AttCertValidityPeriod, Attribute, Attribute, AttributeCertificate, AttributeCertificateInfo, AuthenticatedSafe, AuthorityKeyIdentifier, BasicConstraints, CAST5CBCParameters, CertBag, CertificateList, CertificatePolicies, CertificationRequest, CertificationRequestInfo, CompressedData, ContentInfo, ContentInfo, CRLDistPoint, DERObject, DHParameter, DigestInfo, DistributionPoint, DistributionPointName, DSAParameter, ECPrivateKeyStructure, ElGamalParameter, EncryptedContentInfo, EncryptedData, EncryptedPrivateKeyInfo, EnvelopedData, ExtendedKeyUsage, GeneralName, GeneralNames, GeneralSubtree, Holder, IDEACBCPar, IssuerAndSerialNumber, IssuerAndSerialNumber, IssuerSerial, KEKIdentifier, KEKRecipientInfo, KeyAgreeRecipientInfo, KeySpecificInfo, KeyTransRecipientInfo, MacData, NameConstraints, ObjectDigestInfo, OriginatorIdentifierOrKey, OriginatorInfo, OriginatorPublicKey, OtherInfo, OtherKeyAttribute, PBES2Parameters, Pfx, PKCS12PBEParams, PolicyInformation, PrivateKeyInfo, RC2CBCParameter, RecipientIdentifier, RecipientInfo, RecipientKeyIdentifier, RSAPrivateKeyStructure, RSAPublicKeyStructure, SafeBag, SignedData, SignedData, SignerIdentifier, SignerInfo, SignerInfo, SubjectKeyIdentifier, SubjectPublicKeyInfo, TBSCertificateStructure, TBSCertList, TBSCertList.CRLEntry, Time, Time, V2Form, X509CertificateStructure, X509Extensions, X509KeyUsage, X509Name, X962Parameters, X9Curve, X9ECParameters, X9ECPoint, X9FieldElement, X9FieldID

public interface DEREncodable

Method Summary
`DERObject` | `getDERObject()`

Method Detail

### getDERObject

    public DERObject getDERObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD